#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	Filter
Summary:	Email::Filter - library for creating easy email filters
Summary(pl.UTF-8):	Email::Filter - biblioteka do tworzenia prostych filtrów dla poczty
Name:		perl-Email-Filter
Version:	1.034
Release:	1
License:	BSD, Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2b49d6892f81e8d93fd8e1df6f74e580
URL:		http://search.cpan.org/dist/Email-Filter/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Trigger >= 0.08
BuildRequires:	perl-Email-LocalDelivery >= 0.07
BuildRequires:	perl-Email-Simple >= 1:1.91
BuildRequires:	perl-IPC-Run >= 0.77
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is another module produced by the "Perl Email Project", a
reaction against the complexity and increasing bugginess of the
"Mail::*" modules. It replaces Mail::Audit, and allows you to write
programs describing how your mail should be filtered.

%description -l pl.UTF-8
To jest kolejny moduł wyprodukowany przez "Perl Email Project", będący
reakcją na złożoność i rosnący współczynnik zapluskwienia modułów
Mail::*. Zastępuje Mail::Audit i pozwala na pisanie programów
opisujących jak poczta powinna być filtrowana.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*
%changelog
* Sat Oct 27 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Email-Filter.git;a=log;h=master

* Sat Oct 27 2018 Adam Gołębiowski <adamg@pld-linux.org> 12b9739
- updated to 1.034

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 75c70bd
- updated to 1.032

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3d06fd7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 59fab06
- converted to UTF-8

* Tue Aug 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 78ee922
- non-versioned URL

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> 68653be
- rel 1, generic url

* Thu Aug 10 2006 Maciej Pijanka <agaran@pld-linux.org> 7dcc0b0
- up to 1.03, rel 0.1, builds here

* Thu Dec 09 2004 radek <radek@pld-linux.org> 95ce7d8
- added epoch to BR: perl-Email-Simple >= version

* Sun Nov 07 2004 paladine <paladine@pld-linux.org> 2aca264
- updated to 1.02

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 4091be2
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> dbddfa8
- updated to 1.01

* Thu May 06 2004 ankry <ankry@pld-linux.org> dd04de9
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> a032cdd
- new bconds

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 4036075
- cosmetics

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 5f66a0b
- spaces -> tab

* Wed Aug 27 2003 Tomasz Pala <gotar@pld-linux.org> 90b5662
- fixed changelog trailer

* Thu Jul 31 2003 Jakub Bogusz <qboosh@pld-linux.org> a6ca85b
- pl

* Fri Jul 25 2003 radek <radek@pld-linux.org> 0de847f
- new

